Get Google App Reviews Results by id

 
This endpoint will provide you with feedback data on applications listed on the Google Play platform, including review ratings, review content, user profile info of each reviewer, review publication dates, and more. The results are specific to the app_id as well as the location and language parameters specified in the POST request.

We emulate set parameters with the highest accuracy so that the results you receive will match the actual search results for the specified parameters at the time of task setting. You can always check the returned results accessing the check_url in the Incognito mode to make sure the received data is entirely relevant. Note that user preferences, search history, and other personalized search factors are ignored by our system and thus would not be reflected in the returned results.

checked GET
Pricing

Your account will be charged only for setting a task. You can get the results of the task within the next 30 days for free.
The cost can be calculated on the Pricing page.

Description of the fields for sending a request:

Field nameTypeDescription
idstring

task identifier
unique task identifier in our system in the UUID format
you will be able to use it within 30 days to request the results of the task at any time


‌‌‌‌
‌‌As a response of the API server, you will receive JSON-encoded data containing a tasks array with the information specific to the set tasks.

You can also get all available SERP features by making a request to the following Sandbox URL:
https://sandbox.dataforseo.com/v3/app_data/google/app_reviews/task_get/advanced/00000000-0000-0000-0000-000000000000
The response will include all available items in the Google App Reviews Advanced endpoint with the fields containing dummy data.
You won’t be charged for using Sandbox endpoints.

Description of the fields in the results array:

Field nameTypeDescription
versionstring

the current version of the API

status_codeinteger

general status code
you can find the full list of the response codes here
Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_messagestring

general informational message
you can find the full list of general informational messages here

timestring

execution time, seconds

costfloat

total tasks cost, USD

tasks_countinteger

the number of tasks in the tasks array

tasks_errorinteger

the number of tasks in the tasks array that were returned an error

tasksarray

array of tasks

    idstring

task identifier
unique task identifier in our system in the UUID format

    status_codeinteger

status code of the task
generated by DataForSEO; can be within the following range: 10000-60000
you can find the full list of the response codes here

    status_messagestring

informational message of the task
you can find the full list of general informational messages here

    timestring

execution time, seconds

    costfloat

cost of the task, USD

    result_countinteger

number of elements in the result array

    patharray

URL path

    dataobject

contains the same parameters that you specified in the POST request

    resultarray

array of results

        app_idstring

application id received in a POST array

        typestring

search engine type in a POST array

        se_domainstring

search engine domain in a POST array

        location_codeinteger

location code in a POST array

        language_codestring

language code in a POST array

        check_urlstring

direct URL to search engine results
you can use it to make sure that we provided accurate results

        datetimestring

date and time when the result was received
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”
example:
2019-11-15 12:57:46 +00:00

        titlestring

title of the app
title of the application for which the reviews are collected

        ratingobject

rating of the app
rating of the application for which the reviews are collected

            rating_typestring

type of rating
here you can find the following elements: Max5, Percents, CustomMax

            valuefloat

the average rating based on all reviews

            votes_countinteger

the number of votes

            rating_maxinteger

the maximum value for a rating_type

        reviews_countinteger

the total number of reviews

        items_countinteger

the number of reviews items in the results array
you can get more results by using the depth parameter when setting a task

        itemsarray

found reviews
you can get more results by using the depth parameter when setting a task

            typestring

the review's type
possible review types: "google_play_reviews_search"

            rank_groupinteger

position within a group of elements with identical type values
positions of elements with different type values are omitted from rank_group

            rank_absoluteinteger

absolute rank among all the listed reviews
absolute position among all reviews on the list

            positionstring

the alignment of the review in SERP
can take the following values: left

            versionstring

version of the app
version of the app for which the review is submitted

            ratingobject

the rating score submitted by the reviewer

                rating_typestring

the type of the rating
can take the following values: Max5

                valuefloat

the value of the rating

                votes_countinteger

the amount of feedback
in this case, the value will be null

                rating_maxinteger

the maximum value for a rating_type
the maximum value for Max5 is 5

            timestampstring

date and time when the review was published
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”;
example:
2019-11-15 12:57:46 +00:00

            idstring

id of the review

            helpful_countinteger

number of helpful votes
indicates how many users considered the review helpful and voted with the thumbs up icon

            titlestring

title of the review
Google Play doesn't provide an option to title reviews, so this parameter will always equal null

            review_textstring

content of the review

            user_profileobject

user profile of the reviewer

                profile_namestring

profile name of the reviewer

                profile_image_urlstring

URL to the reviewer's profile image

            responsesarray

response from the developer

                authorstring

author of the response

                titlestring

title of the response
in this case, will equal null

                textstring

content of the response

                timestampstring

date and time when the response was published
in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00”;
example:
2019-11-15 12:57:46 +00:00


‌‌

Instead of ‘login’ and ‘password’ use your credentials from https://app.dataforseo.com/api-access

# Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access 
login="login" 
password="password" 
cred="$(printf ${login}:${password} | base64)" 
id="04011058-0696-0199-0000-2196151a15cb" 
curl --location --request GET "https://api.dataforseo.com/v3/app_data/google/app_reviews/task_get/advanced/${id}" 
--header "Authorization: Basic ${cred}"  
--header "Content-Type: application/json"
<?php
// You can download this file from here https://cdn.dataforseo.com/v3/examples/php/php_RestClient.zip
require('RestClient.php');
$api_url = 'https://api.dataforseo.com/';
// Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
$client = new RestClient($api_url, null, 'login', 'password');

try {
	$result = array();
	// #1 - using this method you can get a list of completed tasks
	// GET /v3/app_data/google/app_reviews/tasks_ready
	$tasks_ready = $client->get('/v3/app_data/google/app_reviews/tasks_ready');
	// you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
	if (isset($tasks_ready['status_code']) AND $tasks_ready['status_code'] === 20000) {
		foreach ($tasks_ready['tasks'] as $task) {
			if (isset($task['result'])) {
				foreach ($task['result'] as $task_ready) {
					// #2 - using this method you can get results of each completed task
					// GET /v3/app_data/google/app_reviews/task_get/advanced/$id
					if (isset($task_ready['endpoint_advanced'])) {
						$result[] = $client->get($task_ready['endpoint_advanced']);
					}
					// #3 - another way to get the task results by id
					// GET /v3/app_data/google/app_reviews/task_get/advanced/$id
					/*
					if (isset($task_ready['id'])) {
						$result[] = $client->get('/v3/app_data/google/app_reviews/task_get/advanced/' . $task_ready['id']);
					}
					*/
				}
			}
		}
	}
	print_r($result);
	// do something with result
} catch (RestClientException $e) {
	echo "n";
	print "HTTP code: {$e->getHttpCode()}n";
	print "Error code: {$e->getCode()}n";
	print "Message: {$e->getMessage()}n";
	print  $e->getTraceAsString();
	echo "n";
}
$client = null;
?>
const task_id = '02231934-2604-0066-2000-570459f04879';

const axios = require('axios');

axios({
    method: 'get',
    url: 'https://api.dataforseo.com/v3/app_data/google/app_reviews/task_get/advanced' + task_id,
    auth: {
        username: 'login',
        password: 'password'
    },
    headers: {
        'content-type': 'application/json'
    }
}).then(function (response) {
    var result = response['data']['tasks'];
    // Result data
    console.log(result);
}).catch(function (error) {
    console.log(error);
});
from client import from client import RestClient
# You can download this file from here https://cdn.dataforseo.com/v3/examples/python/python_Client.zip
client = RestClient("login", "password")
# get the task results by id
# GET /v3/app_data/google/app_reviews/task_get/advanced/$id
id = "06141103-2692-0309-1000-980b778b6d25"
response = client.get("/v3/app_data/google/app_reviews/task_get/advanced/" + id)
# you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
if response["status_code"] == 20000:
    print(response)
    # do something with result
else:
    print("error. Code: %d Message: %s" % (response["status_code"], response["status_message"]))
using Newtonsoft.Json;
using Newtonsoft.Json;
using System;
using System.Net.Http;
using System.Net.Http.Headers;
using System.Text;
using System.Threading.Tasks;

namespace DataForSeoDemos
{
    public static partial class Demos
    {
        public static async Task app_data_google_app_reviews_task_get_by_id()
        {
            var httpClient = new HttpClient
            {
                BaseAddress = new Uri("https://api.dataforseo.com/"),
                // Instead of 'login' and 'password' use your credentials from https://app.dataforseo.com/api-access
                DefaultRequestHeaders = { Authorization = new AuthenticationHeaderValue("Basic", Convert.ToBase64String(Encoding.ASCII.GetBytes("login:password"))) }
            };
            // get the task results by id
            // GET /v3/app_data/google/app_reviews/task_get/advanced/$id
            // use the task identifier that you recieved upon setting a task
            string id = "06141103-2692-0309-1000-980b778b6d25";
            var taskGetResponse = await httpClient.GetAsync("/v3/app_data/google/app_reviews/task_get/advanced/" + id);
            var result = JsonConvert.DeserializeObject<dynamic>(await taskGetResponse.Content.ReadAsStringAsync());
            if (result.tasks != null)
            {
                var fst = result.tasks.First;
                // you can find the full list of the response codes here https://docs.dataforseo.com/v3/appendix/errors
                if (fst.status_code >= 40000 || fst.result == null)
                    Console.WriteLine($"error. Code: {fst.status_code} Message: {fst.status_message}");
                else
                    // do something with result
                    Console.WriteLine(String.Join(Environment.NewLine, fst));
            }
            else
                Console.WriteLine($"error. Code: {result.status_code} Message: {result.status_message}");
        }
    }
}

The above command returns JSON structured like this:

{
  "version": "0.1.20230705",
  "status_code": 20000,
  "status_message": "Ok.",
  "time": "0.0915 sec.",
  "cost": 0,
  "tasks_count": 1,
  "tasks_error": 0,
  "tasks": [
    {
      "id": "07071719-1535-0425-0000-73991fb4b17c",
      "status_code": 20000,
      "status_message": "Ok.",
      "time": "0.0380 sec.",
      "cost": 0,
      "result_count": 1,
      "path": [
        "v3",
        "app_data",
        "google",
        "app_reviews",
        "task_get",
        "advanced",
        "07071719-1535-0425-0000-73991fb4b17c"
      ],
      "data": {
        "se_type": "reviews",
        "se": "google",
        "api": "app_data",
        "function": "app_reviews",
        "app_id": "org.telegram.messenger",
        "location_code": 2840,
        "language_code": "en",
        "depth": 150,
        "device": "desktop",
        "os": "windows"
      },
      "result": [
        {
          "app_id": "org.telegram.messenger",
          "type": "reviews",
          "se_domain": "play.google.com",
          "location_code": 2840,
          "language_code": "en",
          "check_url": "https://play.google.com/store/apps/details?id=org.telegram.messenger&hl=en&gl=us&showAllReviews=true",
          "datetime": "2023-07-07 14:19:29 +00:00",
          "title": "Telegram",
          "rating": {
            "rating_type": "Max5",
            "value": 4.3,
            "votes_count": 12557722,
            "rating_max": 5
          },
          "reviews_count": 12557722,
          "items_count": 150,
          "items": [
            {
              "type": "google_play_reviews_search",
              "rank_group": 1,
              "rank_absolute": 1,
              "position": "left",
              "version": "9.6.5",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-05-23 13:32:52 +00:00",
              "id": "9a660c56-c29c-4d07-805b-1e30e2c340aa",
              "helpful_count": 1207,
              "title": null,
              "review_text": "Amazing for communication, it has helped me connect with serveral people across the world. May I suggest some quality of life improvements for the app, one, working audio for screen sharing, me and a friend of mine are music producers, and like to show each other what our progress is. it would be convenient to listen while sharing. Also the ability to group chats/ groups. My friend has music groups he is joined in, and it would be nice to have them in a group to seperate personal/business.",
              "user_profile": {
                "profile_name": "Mini Mic",
                "profile_image_url": "https://play-lh.googleusercontent.com/a-/AD_cMMT74Um9Ok_wCiCN4WYqmUk4MBFjyyts68w-uVO7XWkl8_k"
              },
              "responses": null
            },
            {
              "type": "google_play_reviews_search",
              "rank_group": 2,
              "rank_absolute": 2,
              "position": "left",
              "version": "9.6.5",
              "rating": {
                "rating_type": "Max5",
                "value": 3,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-05-24 02:51:20 +00:00",
              "id": "02e378cf-8de8-4264-89ef-90fc5a0edaba",
              "helpful_count": 838,
              "title": null,
              "review_text": "Just recently started to see this message in some groups or post. "This message can't be displayed on Telegram apps downloaded from the Google Play Store." What does this mean? Easy to Navigate. Fun Emojis! The best message app I have used so far. Quick movie downloads. Can edit messages after posting, and add bold letters to emphasis. Can delete message for all persons if I make a mistake, great group message app.",
              "user_profile": {
                "profile_name": "I C",
                "profile_image_url": "https://play-lh.googleusercontent.com/a/AAcHTteujpPBLI9N1qgd4RlDQQ-ULxI2bfql3HLeT7QAIKtD=mo"
              },
              "responses": null
            },
            {
              "type": "google_play_reviews_search",
              "rank_group": 3,
              "rank_absolute": 3,
              "position": "left",
              "version": "9.6.5",
              "rating": {
                "rating_type": "Max5",
                "value": 5,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-06-08 04:04:30 +00:00",
              "id": "e9b90342-a9ec-470b-a8a1-899abcfba0b8",
              "helpful_count": 266,
              "title": null,
              "review_text": "Such a great app! Smooth experience with regular updates and great free features. I love all the little details, like the ability to edit photos before sending, the cool emojis you can tap for effects that everyone sees real-time, being able to set who can see your profile picture and which picture they see, and themes you can set globally. Also, you have so much control over your account's privacy! Additionally, the app has a pleasing design, good security features, and no ads. ✨",
              "user_profile": {
                "profile_name": "Subhan Ali",
                "profile_image_url": "https://play-lh.googleusercontent.com/a-/AD_cMMSNjnDVujKjMa0lwFxkIUOdu_anzwEFZgUtTOR7EuJ1aZU"
              },
              "responses": null
            },
            {
              "type": "google_play_reviews_search",
              "rank_group": 4,
              "rank_absolute": 4,
              "position": "left",
              "version": "9.6.7",
              "rating": {
                "rating_type": "Max5",
                "value": 1,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-06-26 17:17:58 +00:00",
              "id": "83933877-8655-4736-b4d3-2b0f62af9125",
              "helpful_count": 596,
              "title": null,
              "review_text": "I literally don't even get notifications anymore, they show up but they don't make noise. I've changed my settings, turned my ringtone volume up, and a bunch of other things but I still never get a notification. My phone may suck, but it's only this app that does it, so it's not my phone's fault. Also, it happens to my friend too.",
              "user_profile": {
                "profile_name": "Madeline Iva",
                "profile_image_url": "https://play-lh.googleusercontent.com/a-/AD_cMMR53hzIwCZf3-20OKViIuaP6zubqV9_ZTWKX7C981qYMQ"
              },
              "responses": null
            },
            {
              "type": "google_play_reviews_search",
              "rank_group": 5,
              "rank_absolute": 5,
              "position": "left",
              "version": "9.6.1",
              "rating": {
                "rating_type": "Max5",
                "value": 3,
                "votes_count": null,
                "rating_max": 5
              },
              "timestamp": "2023-04-25 11:47:02 +00:00",
              "id": "74408645-7d7e-4398-bea0-3f9f131f0070",
              "helpful_count": 860,
              "title": null,
              "review_text": "I can't see the pop up for incoming calls now, video calls and regular calls are not the best quality. I can't multi video call, I can't multi conference call unless it's on an established group, GIF sometimes crash the app... That's among some. Sharing is very easy and there are some cool tricks and features that are appreciated. The fact that you can use a user name and not your number to communicate with other people is a plus",
              "user_profile": {
                "profile_name": "Rolo G",
                "profile_image_url": "https://play-lh.googleusercontent.com/a-/AD_cMMSwWpy0G5_no4uS9EUuMVPsFR8tXnc2LFQSF-JdN3dLbJc"
              },
              "responses": [
                {
                  "author": "Telegram FZ-LLC",
                  "title": null,
                  "text": "Sorry for the inconvenience. Can you please contact us by email qa@telegram.org to provide more details about the issue. Thank you in advance!n",
                  "timestamp": "2023-04-25 11:50:09 +00:00"
                }
              ]
            }
          ]
        }
      ]
    }
  ]
}